Bug 7829 - reports/ remove all exit(1) for plack
Summary: reports/ remove all exit(1) for plack
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Dobrica Pavlinusic
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-26 14:48 UTC by Dobrica Pavlinusic
Modified: 2013-12-05 20:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7829 - reports/ remove all exit(1) for plack (6.27 KB, patch)
2012-03-26 14:52 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
[Signed-off] Bug 7829 - reports/ remove all exit(1) for plack (6.33 KB, patch)
2012-03-27 08:20 UTC, Alex Arnaud
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dobrica Pavlinusic 2012-03-26 14:48:25 UTC

    
Comment 1 Dobrica Pavlinusic 2012-03-26 14:52:30 UTC Comment hidden (obsolete)
Comment 2 Alex Arnaud 2012-03-27 08:17:30 UTC
Having koha on plack, i tested making reports such as acquisitions_stats.pl, reserves_stats.pl, issues_stats.pl etc ... and got Internal Server Error on each script when submitting the form.

The patch fix this problem. So signing off
Comment 3 Alex Arnaud 2012-03-27 08:20:02 UTC
Created attachment 8644 [details] [review]
[Signed-off] Bug 7829 - reports/ remove all exit(1) for plack

In Bug 7772 Ian correctly noted that reports have exit(1) all over the place.
This is left over from old code, and this patch changes them to exit(0).

I decided to use plain exit as opposed to explicit exit(0) since it produces
cleaner code, but I'm welcoming suggestion on this.

Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 4 Marcel de Rooy 2012-03-28 11:33:25 UTC
QA Comment: Hope you got them all ;) Passed QA.
Comment 5 Jared Camins-Esakov 2012-12-31 00:49:22 UTC
There have been no further reports of problems so I am marking this bug resolved.